KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Maakt een nieuwe systeemconfiguratiecache aan.

SYNOPSIS

kbuildsycoca4 [--nosignal | --noincremental | --checkstamps | --nocheckfiles | --global | --menutest | --track menu-id | --help | --help-qt | --help-kde | --help-all | --author | -v, --version | --license]

BESCHRIJVING

kbuildsycoca4, is onderdeel van de KDE-commandoregelhulpmiddelen en verzekert het juist werken van KDE door alle .desktop, .xml, en .protocol bestanden te lezen om een binaire database te maken.

KDE zelf gebruikt deze database bij het werk om configuratie-informatie te leveren die een programma nodig heeft om te draaien.

Dit hulpmiddel is onderdeel van ksycoca4, wat staat voor KDE System Configuration Cache

OPTIES

--nosignal
    Geen signaal voor bijwerking naar toepassingen sturen

--noincremental
    Schakel incrementele bijwerking uit en herlees alles

--checkstamps
    Tijdaanduidingen van bestanden controleren

--nocheckfiles
    Controleren van bestanden uitschakelen (gevaarlijk)

--global
    Globale database aanmaken

--menutest
    Alleen het testen van menugeneratie uitvoeren

--track menu-id
    Menu-id registreren voor debugdoeleinden

--help
    Hulp over de opties tonen

--help-qt
    Qt-specifieke opties tonen

--help-kde
    KDE-specifieke opties tonen.

--help-all
    Alle opties tonen

--author
    Auteurinformatie tonen

-v , --version
    Versie-informatie tonen

--license
    Licentie-informatie tonen

GEBRUIK

Een standaard manier om dit programma uit te voeren is door eenvoudig het volgende commando kbuildsycoca4 te specificeren

BESTANDEN

/var/tmp/kde-$USER/ksycoca4
    De standard map waar de cache-bestanden zijn opgeslagen.

OMGEVINGSVARIABELEN

$KDEDIRS
    Specificeert welke mappen onderdeel zijn van de KDE-installatie

$KDESYCOCA
    Specificeert het pad naar het sycoca-databasebestand

ZIE OOK

kdeinit4

FOUTEN/BUGS

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org: http://bugs.kde.org om ze te rapporteren.

AUTHOR
Darian Lanx <content@openprojects.net>.